Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.fonts
Class Type0Font

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.fonts.Font
              org.pdfclown.documents.contents.fonts.CompositeFont
                  org.pdfclown.documents.contents.fonts.Type0Font

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class Type0Font

extends CompositeFont

Composite font associated to a Type 0 CIDFont, containing glyph descriptions based on the Adobe Type 1 font format [PDF:1.6:5.6.3].

Since:
  0.0.8
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.fonts.Font
`Font.FlagsEnum`

Field Summary

Fields inherited from class org.pdfclown.documents.contents.fonts.Font
`codes, defaultGlyphWidth, glyphIndexes, glyphKernings, glyphWidths, symbolic, usedCodes`

Method Summary
`Type0Font` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.

Methods inherited from class org.pdfclown.documents.contents.fonts.CompositeFont
`get, getCIDFontDictionary, getDescriptor, loadEncoding, onLoad`

Methods inherited from class org.pdfclown.documents.contents.fonts.Font
`decode, encode, equals, get, get, getAscent, getAscent, getDescent, getDescent, getFlags, getHeight, getHeight, getHeight, getHeight, getKernedWidth, getKerning, getKerning, getKerning, getLineHeight, getLineHeight, getName, getScalingFactor, getWidth, getWidth, getWidth, getWidth, hashCode, isSymbolic, load, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public Type0Font clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.